## kdenetwork-filesharing 25.07.80

=== debian/changelog ===
kdenetwork-filesharing (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:09:00 +0100

kdenetwork-filesharing (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:41:24 +0100

kdenetwork-filesharing (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:43:09 +0100

kdenetwork-filesharing (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:05:04 +0100

kdenetwork-filesharing (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:47:21 +0100

## kdenetwork-filesharing 25.07.90

=== debian/changelog ===
kdenetwork-filesharing (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:43:14 +0100

## kdenetwork-filesharing 25.08.0

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.0-0zneon+24.04+noble+release+build23) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 22:16:25 +0000

kdenetwork-filesharing (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:28:41 +0000

kdenetwork-filesharing (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:12:34 +0000

kdenetwork-filesharing (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:12:24 +0000

kdenetwork-filesharing (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:02:32 +0000

kdenetwork-filesharing (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:03:36 +0000

kdenetwork-filesharing (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:25:07 +0000

kdenetwork-filesharing (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:18:25 +0000

kdenetwork-filesharing (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:09:45 +0000

kdenetwork-filesharing (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:06:07 +0000

kdenetwork-filesharing (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:06:13 +0000

kdenetwork-filesharing (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:44:11 +0000

kdenetwork-filesharing (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:19:53 +0000

kdenetwork-filesharing (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:25:02 +0000

kdenetwork-filesharing (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:01:33 +0000

kdenetwork-filesharing (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:24:20 +0000

kdenetwork-filesharing (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:13:09 +0000

kdenetwork-filesharing (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:06:56 +0000

kdenetwork-filesharing (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:48:09 +0000

kdenetwork-filesharing (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 15:31:39 +0000

kdenetwork-filesharing (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:23:08 +0000

kdenetwork-filesharing (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:08:44 +0000

kdenetwork-filesharing (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 28 Aug 2023 12:10:45 +0000

kdenetwork-filesharing (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:21:54 +0000

## kdenetwork-filesharing 25.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(filesharing)

set(QT_MIN_VERSION "6.6.0")
set(KF_MIN_VERSION "5.240.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMDeprecationSettings)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Widgets
    Qml
    QuickWidgets
)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Completion
    CoreAddons
    I18n
    KIO
    WidgetsAddons
)

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6
    PROPERTIES DESCRIPTION "Software Manager integration"
    TYPE OPTIONAL
    PURPOSE "Needed to automatically install the samba package."
)

find_package(QCoro6 REQUIRED COMPONENTS Core)

find_package(net)
set_package_properties(net PROPERTIES
    TYPE RUNTIME
    DESCRIPTION "Samba CLI tool"
    PURPOSE "Runtime dependency to do anything"
)

find_package(testparm)
set_package_properties(testparm PROPERTIES
    TYPE RUNTIME
    DESCRIPTION "Samba CLI tool"
    PURPOSE "Runtime dependency to do anything"
)

include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckLibraryExists)
include(CheckTypeSize)

if(WIN32)
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)

option(SAMBA_INSTALL "Offer to install Samba for file sharing with PackageKit if it is not already installed, use -DSAMBA_INSTALL=off to disable, use -DSAMBA_PACKAGE_NAME= to set package name." ON)
set(SAMBA_PACKAGE_NAME \"samba\" CACHE STRING "Single package or comma-separated list of packages needed for a functional Samba stack on this distribution.")

if(SAMBA_INSTALL AND PackageKitQt6_FOUND)
    add_definitions(-DSAMBA_INSTALL)
    add_definitions(-DSAMBA_PACKAGE_NAME=${SAMBA_PACKAGE_NAME})
else()
    set(SAMBA_INSTALL false)
endif()
add_feature_info("Samba Installation" SAMBA_INSTALL "Automatic installation of '${SAMBA_PACKAGE_NAME}' using PackageKit.")

# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kfileshare\")

add_definitions(
    -DQT_NO_CAST_TO_ASCII
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_URL_CAST_FROM_STRING
    -DQT_NO_CAST_FROM_BYTEARRAY
    -DQT_USE_QSTRINGBUILDER
    -DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT
    -DQT_NO_FOREACH
    -DQT_NO_KEYWORDS
)

ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.101.0
    )

qcoro_enable_coroutines()

add_subdirectory(samba)

install(FILES org.kde.kdenetwork-filesharing.metainfo.xml
        DESTINATION ${KDE_INSTALL_METAINFODIR})

ki18n_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.1-0zneon+24.04+noble+release+build25) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 22:09:55 +0000

kdenetwork-filesharing (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:55:34 +0000

## kdenetwork-filesharing 25.08.1+p24.04+vstable+git20250926.0912

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.1+p24.04+vstable+git20250926.0912-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 09:12:18 +0000

## kdenetwork-filesharing 25.08.1+p24.04+vstable+git20250930.0511

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.1+p24.04+vstable+git20250930.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:11:47 +0000

## kdenetwork-filesharing 25.08.2

=== samba/CMakeLists.txt ===
add_subdirectory(aclproperties)
add_subdirectory(filepropertiesplugin)

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:43:49 +0100

kdenetwork-filesharing (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:53:05 +0100

kdenetwork-filesharing (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:23:10 +0100

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Sune Vuorela <sune@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.1.0~),
               gettext,
               libkf6auth-dev (>= 6.1.0~),
               libkf6completion-dev (>= 6.1.0~),
               libkf6coreaddons-dev (>= 6.1.0~),
               libkf6declarative-dev (>= 6.1.0~),
               libkf6i18n-dev (>= 6.1.0~),
               libkf6kio-dev (>= 6.1.0~),
               libkf6widgetsaddons-dev (>= 6.1.0~),
               libpackagekitqt6-dev,
               pkg-kde-tools (>= 0.12),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.6.0+dfsg~),
               qt6-declarative-dev (>= 6.6.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/network/kdenetwork-filesharing
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdenetwork-filesharing
Rules-Requires-Root: no

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: samba-common-bin, ${misc:Depends}, ${shlibs:Depends},
Suggests: samba,
Enhances: dolphin,
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 25.08.2+p24.04+vstable+git20251010.0850

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.2+p24.04+vstable+git20251010.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 08:50:10 +0000

kdenetwork-filesharing (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:49:34 +0000

## kdenetwork-filesharing 25.08.2+p24.04+vstable+git20251019.0233

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.2+p24.04+vstable+git20251019.0233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:33:49 +0000

=== debian/control ===
Source: kdenetwork-filesharing
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kwidgetsaddons-dev,
               libpackagekitqt6-dev,
               pkg-kde-tools-neon,
               qcoro-qt6-dev,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdenetwork-filesharing.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdenetwork-filesharing
Maintainer: Neon CI <neon@kde.org>

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: samba-libs
Description: network filesharing configuration module
 This package provides a way to configure network file-sharing using
 NFS and Samba in the properties dialogue of the file manager.
 .
 This package is part of the KDE networking module.

## kdenetwork-filesharing 25.08.2+p24.04+vunstable+git20251020.1112

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.2+p24.04+vunstable+git20251020.1112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 11:12:27 +0000

## kdenetwork-filesharing 25.08.3

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.3-0zneon+24.04+noble+release+build27) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 16:24:21 +0000

kdenetwork-filesharing (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:36:01 +1000

## kdenetwork-filesharing 25.08.3+p24.04+vunstable+git20251128.0022

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.3+p24.04+vunstable+git20251128.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 28 Nov 2025 00:22:02 +0000

## kdenetwork-filesharing 25.08.3+p24.04+vunstable+git20251202.1040

=== debian/changelog ===
kdenetwork-filesharing (4:25.08.3+p24.04+vunstable+git20251202.1040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:40:52 +0000

## kdenetwork-filesharing 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,14 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMDeprecationSettings)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Core
     Widgets
+    Network
+    DBus
     Qml
     QuickWidgets
 )
@@ -105,4 +109,8 @@
 
 ki18n_install(po)
 
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== samba/filepropertiesplugin/CMakeLists.txt ===
set(sambausershareplugin_SRCS
    sambausershareplugin.cpp
    model.cpp
    usermanager.cpp
    groupmanager.cpp
    permissionshelper.cpp
    qml/qml.qrc
)

qt_add_dbus_interface(sambausershareplugin_SRCS org.freedesktop.Avahi.Server.xml org.freedesktop.Avahi.Server)

add_library(sambausershareplugin MODULE ${sambausershareplugin_SRCS})

target_link_libraries(sambausershareplugin
    KF6::CoreAddons
    KF6::I18n
    KF6::KIOCore
    KF6::KIOWidgets
    Qt::Qml
    Qt::QuickWidgets
    Qt::Network
    Qt::DBus
    QCoro6::Coro
    KF6::AuthCore
)

if(SAMBA_INSTALL)
    target_sources(sambausershareplugin PRIVATE sambainstaller.cpp)
    target_link_libraries(sambausershareplugin PK::packagekitqt6)
endif()

install(TARGETS sambausershareplugin DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf6/propertiesdialog)

# kauth

kauth_install_actions(org.kde.filesharing.samba org.kde.filesharing.samba.actions)
add_executable(authhelper authhelper.cpp)
target_link_libraries(authhelper KF6::AuthCore KF6::ConfigCore KF6::I18n)

kauth_install_helper_files(authhelper org.kde.filesharing.samba root)
install(TARGETS authhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

=== debian/changelog ===
kdenetwork-filesharing (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:51:46 +0000

kdenetwork-filesharing (4:25.08.3-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:53:53 +0000

kdenetwork-filesharing (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:13:23 +0000

## kdenetwork-filesharing 25.11.90

=== debian/changelog ===
kdenetwork-filesharing (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:03:34 +0000

## kdenetwork-filesharing 25.12.0

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.0-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 23:08:35 +0000

kdenetwork-filesharing (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:31:54 +1000

## kdenetwork-filesharing 25.12.0+p24.04+vstable+git20251224.0726

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.0+p24.04+vstable+git20251224.0726-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 24 Dec 2025 07:26:57 +0000

## kdenetwork-filesharing 25.12.0+p24.04+vstable+git20260103.0530

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.0+p24.04+vstable+git20260103.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:30:20 +0000

## kdenetwork-filesharing 25.12.1

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.1-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 09:55:21 +0000

kdenetwork-filesharing (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:20:59 +1000

## kdenetwork-filesharing 25.12.1+p24.04+vstable+git20260126.1110

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.1+p24.04+vstable+git20260126.1110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 11:10:09 +0000

## kdenetwork-filesharing 25.12.1+p24.04+vstable+git20260129.0048

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.1+p24.04+vstable+git20260129.0048-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 00:48:06 +0000

## kdenetwork-filesharing 25.12.1+p24.04+vunstable+git20260126.0947

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.1+p24.04+vunstable+git20260126.0947-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 26 Jan 2026 09:47:50 +0000

## kdenetwork-filesharing 25.12.2

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:21:49 +0000

kdenetwork-filesharing (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:51:28 +0000

kdenetwork-filesharing (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:01:55 +0000

kdenetwork-filesharing (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:19:18 +0000

## kdenetwork-filesharing 25.12.2+p24.04+vunstable+git20260206.1011

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16)
 project(filesharing)
 
 set(QT_MIN_VERSION "6.6.0")

=== debian/changelog ===
kdenetwork-filesharing (4:25.12.2+p24.04+vunstable+git20260206.1011-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 10:11:37 +0000

kdenetwork-filesharing (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:27:05 +0000
